Bug 427526 - Review Request: librtfcomp - Library for reading of compressed RTF files
Review Request: librtfcomp - Library for reading of compressed RTF files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 428361
  Show dependency treegraph
 
Reported: 2008-01-04 08:20 EST by Andreas Bierfert
Modified: 2008-01-12 18:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 18:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2008-01-04 08:20:21 EST
Spec URL: http://fedora.lowlatency.de/review/librtfcomp.spec
SRPM URL: http://fedora.lowlatency.de/review/librtfcomp-1.1-1.fc8.src.rpm
Description:
Library to read compressed RTF files (development files). Can decompress and
recompress compressed RTF and convert from UTF8 to RTF for use in things like
the AirSync protocols.
Comment 1 Parag AN(पराग) 2008-01-11 04:14:20 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b7f70dc41687d920ec9f47c01f56d6ce  librtfcomp-1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel,-python subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package librtfcomp-1.1-1.fc9 ->
  Provides: librtfcomp.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) librtfcomp.so.0 rtld(GNU_HASH)
+ Package librtfcomp-devel-1.1-1.fc9 ->
  Requires: Pyrex librtfcomp = 1.1-1.fc9 librtfcomp.so.0 python-devel
+ Package librtfcomp-python-1.1-1.fc9 ->
  Provides: pyrtfcomp.so
+ Not a GUI App.
APPROVED.

SHOULD:
   License is LGPLv2+ from LICENSE file
Comment 2 Andreas Bierfert 2008-01-11 20:57:34 EST
Will change upon import.

New Package CVS Request
=======================
Package Name: librtfcomp
Short Description: Library for reading of compressed RTF files
Owners: awjb
Branches: F-8
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-01-12 15:37:47 EST
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.